<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex flex-col gap-1.5 pb-16">
  <div class="text-sm font-semibold leading-none text-text-300">Parameters</div>
  <app-params-list [id]="iid" [params]="hrefVariables" [editMode]="false" [values]="paramValues"> </app-params-list>
</div>
<div *ngIf="read" class="w-full pb-8">
  <div class="flex flex-col" [ngClass]="{ 'gap-6': !noOutContentType, 'gap-3': noOutContentType }">
    <div class="text-sm leading-none text-text-300">Response Payload</div>
    <div *ngIf="noOutContentType" class="text-text-300 font-semibold">No Payload</div>
    <div
      *ngIf="!noOutContentType"
      class="bg-white rounded-sm px-3 font-semibold py-3 text-text-500 flex items-center gap-2 w-fit"
    >
      <i *ngIf="outgoingContentTypeIcon" [class]="outgoingContentTypeIcon"></i>
      <div>{{ outgoingContentType }}</div>
    </div>
  </div>
</div>
<div *ngIf="write" class="w-full pb-8">
  <div class="flex flex-col" [ngClass]="{ 'gap-6': !noInContentType, 'gap-3': noInContentType }">
    <div class="text-sm leading-none text-text-300">Request Payload</div>
    <div *ngIf="noInContentType" class="text-text-300 font-semibold">No Payload (Defaults to file)</div>
    <div
      *ngIf="!noInContentType"
      class="bg-white rounded-sm px-3 font-semibold py-3 text-text-500 flex items-center gap-2 w-fit"
    >
      <i *ngIf="incomingContentTypeIcon" [class]="incomingContentTypeIcon"></i>
      <div>{{ incomingContentType }}</div>
    </div>
  </div>
  <div class="w-full mt-8">
    <app-body [contentType]="incomingContentType ?? 'file/*'" [body]="body" [file]="file" [text]="text"></app-body>
  </div>
</div>
<p-button [label]="read ? 'Read Data' : 'Write Data'" icon="pi pi-database" (click)="consume()"></p-button>
